package com.njcn.gather.plan.pojo.enums;

import lombok.Getter;

/**
 * @author caozehui
 * @data 2024-12-12
 */
@Getter
public enum PlanReportStateEnum {
    REPORT_STATE_NOT_GENERATED("未生成", 0),
    REPORT_STATE_PARTIALLY_GENERATED("部分生成", 1),
    REPORT_STATE_ALL_GENERATED("全部生成", 2);

    private final Integer value;
    private final String msg;

    PlanReportStateEnum(String msg, Integer value) {
        this.msg = msg;
        this.value = value;
    }
}
